libcdr::CDRSplineToElement Class Reference
Inheritance diagram for libcdr::CDRSplineToElement:

## Public Member Functions

| CDRSplineToElement (const std::vector< std::pair< double, double > > &points)
| ~CDRSplineToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
std::unique_ptr< CDRPathElement > | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Member Functions

unsigned | knot (unsigned i) const

## Private Attributes

std::vector< std::pair< double, double > > | m_points

## Constructor & Destructor Documentation

## CDRSplineToElement()

libcdr::CDRSplineToElement::CDRSplineToElement | ( | const std::vector< std::pair< double, double > > & | points | ) |

inline

## ~CDRSplineToElement()

libcdr::CDRSplineToElement::~CDRSplineToElement | ( |  | ) |

inline override

## Member Function Documentation

## clone()

std::unique_ptr< CDRPathElement > libcdr::CDRSplineToElement::clone | ( |  | ) |

override virtual

Implements libcdr::CDRPathElement.

## knot()

unsigned libcdr::CDRSplineToElement::knot | ( | unsigned | i | ) | const

private

Referenced by writeOut().

## transform() [1/2]

void libcdr::CDRSplineToElement::transform | ( | const CDRTransform & | trafo | ) |

override virtual

Implements libcdr::CDRPathElement.

## transform() [2/2]

void libcdr::CDRSplineToElement::transform | ( | const CDRTransforms & | trafos | ) |

override virtual

Implements libcdr::CDRPathElement.

## writeOut()

void libcdr::CDRSplineToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const

override virtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## m_points

std::vector<std::pair<double, double> > libcdr::CDRSplineToElement::m_points

private

Referenced by CDRSplineToElement(), clone(), knot(), transform(), transform(), and writeOut().

The documentation for this class was generated from the following file:

- CDRPath.cpp